# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section		free

Name:		neethi
Version:	1.0.1
Release:	1jpp
Epoch:		0
Summary:	Apache Neethi provides an implementation of WS-Policy specification.
License:	Apache Software License 2.0
Url:		http://ws.apache.org/commons/neethi/index.html
Group:		Text Processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage

# ws-commons-policy has been renamed to neethi
Provides:   ws-commons-policy

Source0:	%{name}-%{version}.tar.gz
##svn export http://svn.apache.org/repos/asf/webservices/commons/tags/neethi/1_0_1/ neethi

Source1:        pom-maven2jpp-mapdeps.xsl
Source2:        %{name}-jpp-depmap.xml

BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	maven >= 1.1
BuildRequires:	maven-plugins-base
BuildRequires:	maven-plugin-license
BuildRequires:	maven-plugin-test
BuildRequires:  apache-axiom-api
BuildRequires:  apache-axiom-impl
BuildRequires:  bea-stax
BuildRequires:  bea-stax-api
BuildRequires:	geronimo-j2ee-1.4-apis
BuildRequires:	geronimo-javamail-1.3.1-api
BuildRequires:	jakarta-commons-logging
BuildRequires:	jaxen
BuildRequires:	junit
BuildRequires:	log4j
BuildRequires:	xml-commons-apis
BuildRequires:	xmlunit
BuildRequires:  wsdl4j

Requires:	jpackage-utils >= 0:1.6
Requires:	apache-axiom-api
Requires:	apache-axiom-impl
Requires:	bea-stax
Requires:	bea-stax-api
Requires:	geronimo-j2ee-1.4-apis
Requires:	geronimo-javamail-1.3.1-api
Requires:	jakarta-commons-logging
Requires:	jaxen
Requires:	junit
Requires:	log4j
Requires:	xml-commons-apis
Requires:	xmlunit
Requires:	wsdl4j

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Apache Neethi provides an implementation of WS-Policy specification.It
provides a convenient model to process any policy information at
runtime. In other words, it allows you to convert any policy to an
object (which is its runtime representation) and play with it as you
like.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}

%build

mkdir -p $(pwd)/.maven/repository/JPP/jars

for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE1} map=%{SOURCE2}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

export MAVEN_HOME_LOCAL=$(pwd)/.maven
maven \
		-Dmaven.test.failure.ignore=true \
        -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository jar javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

# create unprefixed and unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -r xdocs $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/*
%dir %{_docdir}/%{name}-%{version}
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri May 19 2006 Deepak Bhole <dbhole@redhat.com> 0:1.0-1jpp
- Initial build
